.catalog-main {
    margin: 8% 0 0;
}

.catalog__wrap {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.catalog__banner {
    padding: 20px 0;
}

.catalog__banner-img {
    height: 100%;
    width: 100%;
    display: block;
    object-fit: cover;
}

.category__header-wrap {
    display: flex;
    flex-direction: column;
    gap: 14px;
}

.breadcrumbs {
    color: var(--clr-gray-600);
}

.breadcrumbs a {
    color: var(--clr-gray-600);
    text-decoration: none;
}

.category__title {
    margin: 0;
    color: var(--clr-black);
}

.categories__list {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 16px;
}

.categories__item {
    padding: 16px 24px 16px 24px;
    color: var(--clr-black);
    text-decoration: none;
    font-weight: 700;

    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;

    border-radius: 16px;
    background: var(--clr-gray);
    transition: .3s ease-in-out;
}

.categories__item.active {
    color: var(--clr-white);
    background: var(--clr-blue);
    border-radius: 32px;
}

.categories__item:hover {
    color: var(--clr-white);
    background: var(--clr-blue);
    border-radius: 32px;
}

.catalog__product {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.catalog__product-article {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 12px;
}

.catalog__product-title {
    margin: 0;
    color: var(--clr-black);
}

.catalog__product-quantity {
    margin: 0;
    color: var(--clr-gray-600);
    font-weight: 500;
}

.product__list {
    padding-bottom: 40px;

    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

.product__item {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 16px;

    text-decoration: none;
    box-sizing: border-box;
}

.product__tab-list {
    position: absolute;
    top: 18px;
    right: 8px;
    left: 8px;

    display: flex;
    justify-content: flex-end;
    flex-wrap: wrap;
    gap: 6px;

    z-index: 2;
}

.product__tab {
    padding: 6px 12px 6px 12px;

    display: flex;
    justify-content: center;
    align-items: center;

    border-radius: 18px;
    background: var(--clr-blue);
}

.product__tab-title {
    margin: 0;
    color: var(--clr-white);
}

.product__picture {
    position: relative;

    width: 100%;
    height: calc((355px / 1440px) * 100vw);

    display: flex;
    justify-content: center;
    align-items: center;

    border-radius: 24px;
    background: var(--clr-gray);
    overflow: hidden;
}

.product__img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;

    transition: .3s ease-in-out;
}

.product__item:hover .product__picture .product__img {
    transform: scale(1.05);
}

.product__info {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 12px;
}

.product__price {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
}

.product__price .new {
    margin: 0;

    color: var(--clr-black);
    font-weight: 700;
}

.product__price .old {
    margin: 0;

    color: var(--clr-gray-600);
    font-weight: 400;
    text-decoration: line-through;
}

.product__article {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 8px;
}

.product__article-title {
    margin: 0;
    color: var(--clr-black);
    font-weight: 500;
}

.product__article-subtitle {
    margin: 0;
    color: var(--clr-gray-600);
}

@media screen and (max-width: 768px) {
    
    .categories__list {
        flex-wrap: wrap;
        gap: 6px;
        row-gap: 12px;
    }

    .categories__item {
        padding: 10px 18px;
        font-size: 12px;
        line-height: 140%;
    }

    .product__list {
        grid-template-columns: repeat(2, 1fr);
        gap: 10px;
        row-gap: 20px;
    }

    .product__tab-list {
        top: 12px;
        right: 17px;

        gap: 2px;
    }

    .product__tab {
        padding: 3px 6px;
        border-radius: 12px;
    }

    .product__info {
        gap: 6px;
    }

    .product__tab-title {
        font-size: 10px;
        line-height: 140%;
    }

    .product__picture {
        height: calc((680px / 1440px) * 100vw);
    }

    .product__price {
        flex-direction: column;
        align-items: flex-start;
    }

    .product__price .old, .new {
        font-size: 14px;
        line-height: 140%;
    }

    .product__article-subtitle {
        font-size: 12px;
    }

}